Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsDomainClassProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.DefaultGrailsDomainClassProperty

All Implemented Interfaces:
  GrailsDomainClassProperty

    public class DefaultGrailsDomainClassProperty

Represents a property of a domain class and contains meta information about the properties relationships, naming conventions and type.

Authors:
  Graeme Rocher

Since:
  0.1

Constructor Summary
`DefaultGrailsDomainClassProperty(GrailsDomainClass domainClass, java.beans.PropertyDescriptor descriptor)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Overriddent equals to take into account inherited properties e.g. childClass.propertyName is equal to parentClass.propertyName if the types match and childClass.property.isInherited
`GrailsDomainClass` | `getComponent()`
`GrailsDomainClass` | `getDomainClass()`
`int` | `getFetchMode()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNaturalName()`
`GrailsDomainClassProperty` | `getOtherSide()`
`GrailsDomainClass` | `getReferencedDomainClass()`
`java.lang.String` | `getReferencedPropertyName()`
`java.lang.Class` | `getReferencedPropertyType()`
`java.lang.Class` | `getType()`
`java.lang.String` | `getTypePropertyName()`
`boolean` | `isAssociation()`
`boolean` | `isBasicCollectionType()`
`boolean` | `isBidirectional()`
`boolean` | `isCircular()`
`boolean` | `isEmbedded()`
`boolean` | `isEnum()`
`boolean` | `isHasOne()` @return True if the foreign key in a one-to-one is stored in the parent
`boolean` | `isIdentity()`
`boolean` | `isInherited()`
`boolean` | `isManyToMany()`
`boolean` | `isManyToOne()`
`boolean` | `isOneToMany()`
`boolean` | `isOneToOne()`
`boolean` | `isOptional()`
`boolean` | `isOwningSide()`
`boolean` | `isPersistent()`
`void` | `setBasicCollectionType(boolean b)`
`protected void` | `setBidirectional(boolean bidirectional)` Sets whether the relationship is bidirectional or not
`void` | `setEmbedded(boolean isEmbedded)`
`protected void` | `setHasOne(boolean isHasOne)` Set whether the foreign key is stored in the parent or child in a one-to-one
`protected void` | `setManyToMany(boolean manyToMany)` @param manyToMany The manyToMany to set.
`protected void` | `setManyToOne(boolean manyToOne)` @param manyToOne The manyToOne to set.
`protected void` | `setOneToMany(boolean oneToMany)` @param oneToMany The oneToMany to set.
`protected void` | `setOneToOne(boolean oneToOne)` @param oneToOne The oneToOne to set.
`void` | `setOtherSide(GrailsDomainClassProperty property)`
`void` | `setOwningSide(boolean b)`
`protected void` | `setPersistant(boolean persistant)` @param persistant The persistant to set.
`void` | `setReferencePropertyName(java.lang.String name)`
`void` | `setReferencedDomainClass(GrailsDomainClass referencedDomainClass)`
`protected void` | `setReferencedPropertyType(java.lang.Class referencedPropertyType)` Sets the referenced property type of this property
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultGrailsDomainClassProperty

    @SuppressWarnings("rawtypes")
    public DefaultGrailsDomainClassProperty(GrailsDomainClass domainClass, java.beans.PropertyDescriptor descriptor)

  Constructor.
  Parameters:
    domainClass
    descriptor

Method Detail

### equals

    @Override
    public boolean equals(java.lang.Object o)

  Overriddent equals to take into account inherited properties e.g. childClass.propertyName is equal to parentClass.propertyName if the types match and childClass.property.isInherited
  Parameters:
    `o` - the Object to compare this property to
  Returns:
    boolean indicating equality of the two objects

### getComponent

    public GrailsDomainClass getComponent()

### getDomainClass

    public GrailsDomainClass getDomainClass()

### getFetchMode

    public int getFetchMode()

### getFieldName

    public java.lang.String getFieldName()

### getName

    public java.lang.String getName()

### getNaturalName

    public java.lang.String getNaturalName()

### getOtherSide

    public GrailsDomainClassProperty getOtherSide()

### getReferencedDomainClass

    public GrailsDomainClass getReferencedDomainClass()

### getReferencedPropertyName

    public java.lang.String getReferencedPropertyName()

### getReferencedPropertyType

    @SuppressWarnings("rawtypes")
    public java.lang.Class getReferencedPropertyType()

### getType

    @SuppressWarnings("rawtypes")
    public java.lang.Class getType()

### getTypePropertyName

    public java.lang.String getTypePropertyName()

### isAssociation

    public boolean isAssociation()

### isBasicCollectionType

    public boolean isBasicCollectionType()

### isBidirectional

    public boolean isBidirectional()

### isCircular

    @SuppressWarnings("unchecked")
    public boolean isCircular()

### isEmbedded

    public boolean isEmbedded()

### isEnum

    public boolean isEnum()

### isHasOne

    public boolean isHasOne()

  Returns:
    True if the foreign key in a one-to-one is stored in the parent

### isIdentity

    public boolean isIdentity()

### isInherited

    public boolean isInherited()

### isManyToMany

    public boolean isManyToMany()

### isManyToOne

    public boolean isManyToOne()

### isOneToMany

    public boolean isOneToMany()

### isOneToOne

    public boolean isOneToOne()

### isOptional

    public boolean isOptional()

### isOwningSide

    public boolean isOwningSide()

### isPersistent

    public boolean isPersistent()

### setBasicCollectionType

    public void setBasicCollectionType(boolean b)

### setBidirectional

    protected void setBidirectional(boolean bidirectional)

  Sets whether the relationship is bidirectional or not

### setEmbedded

    public void setEmbedded(boolean isEmbedded)

### setHasOne

    protected void setHasOne(boolean isHasOne)

  Set whether the foreign key is stored in the parent or child in a one-to-one
  Parameters:
    `isHasOne` - True if its stored in the parent

### setManyToMany

    protected void setManyToMany(boolean manyToMany)

  Parameters:
    `manyToMany` - The manyToMany to set.

### setManyToOne

    protected void setManyToOne(boolean manyToOne)

  Parameters:
    `manyToOne` - The manyToOne to set.

### setOneToMany

    protected void setOneToMany(boolean oneToMany)

  Parameters:
    `oneToMany` - The oneToMany to set.

### setOneToOne

    protected void setOneToOne(boolean oneToOne)

  Parameters:
    `oneToOne` - The oneToOne to set.

### setOtherSide

    public void setOtherSide(GrailsDomainClassProperty property)

### setOwningSide

    public void setOwningSide(boolean b)

### setPersistant

    protected void setPersistant(boolean persistant)

  Parameters:
    `persistant` - The persistant to set.

### setReferencePropertyName

    public void setReferencePropertyName(java.lang.String name)

### setReferencedDomainClass

    public void setReferencedDomainClass(GrailsDomainClass referencedDomainClass)

### setReferencedPropertyType

    protected void setReferencedPropertyType(java.lang.Class referencedPropertyType)

  Sets the referenced property type of this property

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation